Win a copy of The Java Performance Companion this week in the Performance forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Eclipse warning: [options] bootstrap class path not set in conjunction with -source 1.6

 
Lou Pelagalli
Ranch Hand
Posts: 150
1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

When I use Eclipse Galileo to generate javadoc I get the warning "warning: [options] bootstrap class path not set in conjunction with -source 1.6".

I was using Java 6 but now I'm using Java 7 but I haven't been able to explain this to Eclipse.

The Javadoc Generation pane (attached) does not give me the option to add 1.7. I can type in 1.7 and the warning is gone but the 1.7 is not saved.

Suggestions?

Thanks,

Lou
Javadoc Warning.JPG
[Thumbnail for Javadoc Warning.JPG]
 
Tim Holloway
Saloon Keeper
Pie
Posts: 18214
53
Android Eclipse IDE Linux
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
The current Eclipse version is Juno. Galileo is horribly outdated, so it's not surprising that there's no Java 7 support.

I think it's about time to update your Eclipse.
 
Peter Johnson
author
Bartender
Posts: 5852
7
Android Eclipse IDE Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Actually, the latest release is Kepler :-)
New versions of Eclipse come out yearly, around the end of June, beginning of July. I usually find it very worthwhile to upgrade right away.
 
Tim Holloway
Saloon Keeper
Pie
Posts: 18214
53
Android Eclipse IDE Linux
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Dang! Now I'm out-of-date. Darned astronomical events!
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic